compilieren von java - problemstellung

runabout

Grünschnabel
Hallo zusammen,
folgendes Problem stellt sich mir (und evtl auch anderen hier)....
ich habe ein Applet mit java version 1.4 geschrieben, nun läuft dieses ja leider nicht so ohne weiteres auf allen Browsern, mein Chef will nun das ich das Apllet in der java version 1.1.8 umsetze.
Nun meine Frage, gibt es eine Software oder eine andere Möglichkeit, das ich die version ohne viel Aufwand ändern kann?
Ich freu mich über jede Hilfe, und danke allen die dazu eine Idee haben schonmal im vorraus....

gruß
run
 

Thomas Darimont

Erfahrenes Mitglied
Servus!

So leicht ist das nicht ein mit J2SDK 1.4 entwickeltes Applet auf ein JDK 1.1.8 basiertes downzugraden...

du musst dir für jede Methode, die du zur zeit in deinem Applet verwendest, klar machen, dass sie auch schon (mit der bestimmten Funktionalität) im JDK 1.1.8 vorhanden war ...

mir ist leider kein Tool bekannt, dass automatisch den Java Quallcode auf ne führere JDK Version downgraded...sorry!


Gruss Tom